Subject: [DUG]: Event handling in a modal form
From: Stephen Bertram <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Thu, 14 Dec 2000 15:51:29 +1300

I am trying to modify a legacy app which has a modal login form.  We now
want to skip the login if certain conditions are met.

Simple I thought - the FormActivate event can determine whether the
conditions are met and simulate the user's OK button click to "close" the
form. (All the application setup code is in the OK button OnClick event
handler).

This works well except that when the application is open it behaves as if
the login form is still active and does not allow user focus.

Any ideas on how or when I can fire the button click to avoid this?

Stephen Bertram
---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"